Page MenuHomePhabricator

Make Amazon API calls to authorize and capture payment
Closed, ResolvedPublic2 Story Points

Description

When the user clicks the 'Continue' button from our form, we will set and confirm the order reference. The authorize and capture calls can take a little longer, so we may want to perform those asynchronously after the user has been sent to the thank you page.

This SDK will be really useful: https://github.com/amzn/login-and-pay-with-amazon-sdk-php

This proof-of-concept patch illustrates some of the calls: https://gerrit.wikimedia.org/r/229278

Should also add a mock of the SDK client interface and a couple of tests for different responses

Event Timeline

Ejegg created this task.Aug 5 2015, 9:44 PM
Ejegg renamed this task from Make Amazon API calls to set order details to Make Amazon API calls to set order details and capture payment.
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a project: Fundraising-Backlog.
Ejegg set Security to None.
Ejegg added subscribers: Ejegg, Aklapper.
Ejegg updated the task description. (Show Details)Aug 5 2015, 10:22 PM
Ejegg renamed this task from Make Amazon API calls to set order details and capture payment to Make Amazon API calls to authorize and capture payment.Aug 11 2015, 9:40 PM
Ejegg updated the task description. (Show Details)
Ejegg claimed this task.Aug 15 2015, 7:19 PM
Ejegg triaged this task as Medium priority.
Ejegg updated the task description. (Show Details)
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Queen board.
Ejegg closed this task as Resolved.Aug 26 2015, 5:23 PM
Ejegg moved this task from Review to Done on the Fundraising Sprint Rowlf the Dog board.